package com.unis.crk.cplbusiness.service;

import cn.hutool.json.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unis.crk.cplbusiness.entity.LiAfterSale;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.crk.cplbusiness.entity.vo.LiAfterSaleVo;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ghh
 * @since 2023-01-20
 */
public interface ILiAfterSaleService extends IService<LiAfterSale> {


    LiAfterSale getByIdgetSale(String id);

    IPage<Map<String,Object>> findPageVo(LiAfterSaleVo pageQuery);

    JSONObject saveOrAfter(LiAfterSale param) throws Exception;
    JSONObject deleteLiAfterServiceImplRk(String id) throws Exception;

}
